@ECHO OFF
CLS
C:
CD \DOOM

 IF NOT EXIST C:\DOOM\DOO*.WAD GOTO NoWAD
 IF NOT EXIST C:\DOOM\DMAUD.EXE GOTO NoDMAUD
 IF EXIST C:\DOOM\DEF_FX\DMDEF-??.WAV GOTO Existing
 GOTO Share

:Share
 ECHO 鄄卑 Extracting DOOM Sounds to C:\DOOM\DEF_FX\ 氨槽
 ECHO.
 MD C:\DOOM\DEF_FX
 DMAUD 01 -E C:\DOOM\DEF_FX\DMDEF-01.WAV
 DMAUD 02 -E C:\DOOM\DEF_FX\DMDEF-02.WAV
 DMAUD 03 -E C:\DOOM\DEF_FX\DMDEF-03.WAV
 DMAUD 04 -E C:\DOOM\DEF_FX\DMDEF-04.WAV
 DMAUD 05 -E C:\DOOM\DEF_FX\DMDEF-05.WAV
 DMAUD 06 -E C:\DOOM\DEF_FX\DMDEF-06.WAV
 DMAUD 07 -E C:\DOOM\DEF_FX\DMDEF-07.WAV
 DMAUD 08 -E C:\DOOM\DEF_FX\DMDEF-08.WAV
 DMAUD 09 -E C:\DOOM\DEF_FX\DMDEF-09.WAV
 DMAUD 10 -E C:\DOOM\DEF_FX\DMDEF-10.WAV
 DMAUD 11 -E C:\DOOM\DEF_FX\DMDEF-11.WAV
 DMAUD 12 -E C:\DOOM\DEF_FX\DMDEF-12.WAV
 DMAUD 13 -E C:\DOOM\DEF_FX\DMDEF-13.WAV
 DMAUD 14 -E C:\DOOM\DEF_FX\DMDEF-14.WAV
 DMAUD 15 -E C:\DOOM\DEF_FX\DMDEF-15.WAV
 DMAUD 16 -E C:\DOOM\DEF_FX\DMDEF-16.WAV
 DMAUD 17 -E C:\DOOM\DEF_FX\DMDEF-17.WAV
 DMAUD 18 -E C:\DOOM\DEF_FX\DMDEF-18.WAV
 DMAUD 19 -E C:\DOOM\DEF_FX\DMDEF-19.WAV
 DMAUD 20 -E C:\DOOM\DEF_FX\DMDEF-20.WAV
 DMAUD 21 -E C:\DOOM\DEF_FX\DMDEF-21.WAV
 DMAUD 22 -E C:\DOOM\DEF_FX\DMDEF-22.WAV
 DMAUD 23 -E C:\DOOM\DEF_FX\DMDEF-23.WAV
 DMAUD 24 -E C:\DOOM\DEF_FX\DMDEF-24.WAV
 DMAUD 25 -E C:\DOOM\DEF_FX\DMDEF-25.WAV
 DMAUD 26 -E C:\DOOM\DEF_FX\DMDEF-26.WAV
 DMAUD 27 -E C:\DOOM\DEF_FX\DMDEF-27.WAV
 DMAUD 28 -E C:\DOOM\DEF_FX\DMDEF-28.WAV
 DMAUD 29 -E C:\DOOM\DEF_FX\DMDEF-29.WAV
 DMAUD 30 -E C:\DOOM\DEF_FX\DMDEF-30.WAV
 DMAUD 31 -E C:\DOOM\DEF_FX\DMDEF-31.WAV
 DMAUD 32 -E C:\DOOM\DEF_FX\DMDEF-32.WAV
 DMAUD 33 -E C:\DOOM\DEF_FX\DMDEF-33.WAV
 DMAUD 34 -E C:\DOOM\DEF_FX\DMDEF-34.WAV
 DMAUD 35 -E C:\DOOM\DEF_FX\DMDEF-35.WAV
 DMAUD 36 -E C:\DOOM\DEF_FX\DMDEF-36.WAV
 DMAUD 37 -E C:\DOOM\DEF_FX\DMDEF-37.WAV
 DMAUD 38 -E C:\DOOM\DEF_FX\DMDEF-38.WAV
 DMAUD 39 -E C:\DOOM\DEF_FX\DMDEF-39.WAV
 DMAUD 40 -E C:\DOOM\DEF_FX\DMDEF-40.WAV
 DMAUD 41 -E C:\DOOM\DEF_FX\DMDEF-41.WAV
 DMAUD 42 -E C:\DOOM\DEF_FX\DMDEF-42.WAV
 DMAUD 43 -E C:\DOOM\DEF_FX\DMDEF-43.WAV
 DMAUD 44 -E C:\DOOM\DEF_FX\DMDEF-44.WAV
 DMAUD 45 -E C:\DOOM\DEF_FX\DMDEF-45.WAV
 DMAUD 46 -E C:\DOOM\DEF_FX\DMDEF-46.WAV
 DMAUD 47 -E C:\DOOM\DEF_FX\DMDEF-47.WAV
 DMAUD 48 -E C:\DOOM\DEF_FX\DMDEF-48.WAV
 DMAUD 49 -E C:\DOOM\DEF_FX\DMDEF-49.WAV

 IF EXIST C:\DOOM\DOOM1.WAD GOTO End
 IF EXIST C:\DOOM\DOOM.WAD GOTO Reg

:Reg
 ECHO.
 ECHO 鄄卑 Registered version detected ; Extracting more sounds. 氨槽
 ECHO.
 DMAUD 50 -E C:\DOOM\DEF_FX\DMDEF-50.WAV
 DMAUD 51 -E C:\DOOM\DEF_FX\DMDEF-51.WAV
 DMAUD 52 -E C:\DOOM\DEF_FX\DMDEF-52.WAV
 DMAUD 53 -E C:\DOOM\DEF_FX\DMDEF-53.WAV
 DMAUD 54 -E C:\DOOM\DEF_FX\DMDEF-54.WAV
 DMAUD 55 -E C:\DOOM\DEF_FX\DMDEF-55.WAV
 DMAUD 56 -E C:\DOOM\DEF_FX\DMDEF-56.WAV
 DMAUD 57 -E C:\DOOM\DEF_FX\DMDEF-57.WAV
 DMAUD 58 -E C:\DOOM\DEF_FX\DMDEF-58.WAV
 DMAUD 59 -E C:\DOOM\DEF_FX\DMDEF-59.WAV
 DMAUD 60 -E C:\DOOM\DEF_FX\DMDEF-60.WAV
 DMAUD 61 -E C:\DOOM\DEF_FX\DMDEF-61.WAV

 GOTO End

:Existing
 ECHO 鄄卑 Your Default Sound Effects allready exist - DO NOT DELETE 氨槽
 GOTO End

:NoWAD
 ECHO 鄄卑 No WAD file was found in C:\DOOM\ (Install DOOM first) 氨槽
 GOTO End

:NoDMAUD
 ECHO 鄄卑 No DMAUD.EXE was found in C:\DOOM\ (Cannot run DOOMFX) 氨槽
 GOTO End

:End
 ECHO.
 ECHO Thankyou for using DOOMFX by DynaSoft ! Job complete ...
 PAUSE
 CD \
